# Interface StiltsMonitor.State

All Known Implementing Classes:
  `BasicStiltsMonitor.BasicState, PlotStiltsMonitor.PlotState`

Enclosing class:
  `StiltsMonitor<S extends StiltsMonitor.State>`

public static interface StiltsMonitor.State
Represents a STILTS command.

Since:
  27 Sep 2024
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`StyledDocument`
`getDocument()`
Returns a styled document displaying the stilts command, or possibly an error message.
`Throwable`
`getError()`
Returns the error produced when trying to generate a stilts executable from the serialized commmand, or null if it seemed to work OK.
`String`
`getText()`
Returns text of the command suitable for execution in a shell.

## Method Details

### getText

String getText()
Returns text of the command suitable for execution in a shell.

Returns:
  command text, not null

### getDocument

StyledDocument getDocument()
Returns a styled document displaying the stilts command, or possibly an error message.

Returns:
  styled document, not null

### getError

Throwable getError()
Returns the error produced when trying to generate a stilts executable from the serialized commmand, or null if it seemed to work OK.

Returns:
  throwable, or null